Subject: (urth) doubling ideas ...

From: maa32 <maa32 at dana.ucc.nau.edu>
Date: Sat, 05 Jul 2003 07:28:20 +0000

Boy, this is weird.  Have you ever felt like you had an original idea, thought 
about it a little, got excited, and then realized that you had already posited 
the same idea long ago and dismissed it, but forgot all about it?

I was googling "Urth is doubled" and "Miracle of Apu-Punchau", and I found a 
fascinating post that was almost word for word what I wrote two days ago.  
However, when I looked at it, I realized that I had written it last December 
in the archives and completely forgotten about it.  I knew that I had briefly 
entertained the notion of the doubing Urth, but I thought the Miracle of 
Apu-Punchau thing was a new spin on it, but jeez ... it's all right there in 
the December archives - in my ponderous and vague prose, too.  Nothing is new 
under the New Sun, I guess.

Has this ever happened to anyone else on the list?  Genuinely thinking you had 
a new idea only to discover that a much younger version of your self had gone 
through with far more alacrity than you are now capable of sustaining?

Marc Aramini

--